# Type Alias ListRawAppsData

ListRawAppsData: {
createdBy?: string;
orderDesc?: boolean;
page?: number;
pathExact?: string;
pathStart?: string;
perPage?: number;
starredOnly?: boolean;
workspace: string;
}

#### Type declaration

- ##### `Optional` createdBy?: string

  mask to filter exact matching user creator

- ##### `Optional` orderDesc?: boolean

  order by desc order (default true)

- ##### `Optional` page?: number

  which page to return (start at 1, default 1)

- ##### `Optional` pathExact?: string

  mask to filter exact matching path

- ##### `Optional` pathStart?: string

  mask to filter matching starting path

- ##### `Optional` perPage?: number

  number of items to return for a given page (default 30, max 100)

- ##### `Optional` starredOnly?: boolean

  (default false) show only the starred items

- ##### workspace: string

- Defined in src/types.gen.ts:4264